program CK3Patch;

{ Contains patch information for versions of Keen 3 }

{$A+,B+,E-,F-,G-,I-,P+,Q-,R-,S-,T-,V-,X+}
{$M 2304,0,0}

{$DEFINE KEEN3}
{$DEFINE KEEN1_ARCH}

uses Loader,Parser,Patcher,Misc,Dos,Strings;

const
    { The search pattern to use when looking for the game executable }
    ExecutableFileSpec='KEEN3*.EXE';

    { The name of the CKPatch program for this episode }
    ProgramName='CK3PATCH';

    { The extension that the game uses }
    Ext='CK3';

type
    { The version information structure for Keen 3 }
    PVersion=^TVersion;
    TVersion=record
        { The version ID string }
        ID:String[7];

        { The uncompressed length of the game executable image }
        ImageLength:Longint;

        { The LZEXE-compressed length of the game executable image }
        LZEXEImageLength:Longint;
    end;

const
    { Versions currently supported are 1.0 and 1.31 }
    Version:array[0..1] of TVersion=(
        (
            { Keen 3 version 1.0 }
            ID:'1.0';
            ImageLength:127086;
            LZEXEImageLength:61587
        ),(
            { Keen 3 version 1.31 }
            ID:'1.31';
            ImageLength:127104;
            LZEXEImageLength:61567
        ));

{$I CKXPATCH.INC}

begin
    Main;
end.
